/* HtmlObjectStream.java */

/* 
 * Copyright (C) 1996-98 Mark Boyns <boyns@sdsu.edu>
 *
 * This file is part of Muffin.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
package muffin.io;

import muffin.html.*;
import java.io.IOException;

public class HtmlObjectStream extends SourceObjectStream
{
    public HtmlObjectStream (InputObjectStream in) throws IOException
    {
	super (in);
    }
    
    public void run ()
    {
	try
	{
	    HtmlTokenizer html = new HtmlTokenizer (src);
	    Token token;
	    while ((token = html.getToken ()) != null)
	    {
		write (token);
	    }
	    close ();
	}
	catch (Exception e)
	{
	    e.printStackTrace ();
	}
    }
}
